audio_handler={}
local mt = {}

function audio_handler:new( file )
    return( setmetatable({ file = file, sources = {} }, mt ))
end

mt.__index = audio_handler

function audio_handler:play( index )
	if self.file == "" then return end

	local sources = self.sources
    if index == nil then
	    for index=1,#sources do
		    if sources[index].isStopped() then break end
		end
	end
	if sources[index]==nil then
		sources[index] = love.audio.newSource( self.file, 'streaming' )
	end

	assert( index ~= nil and sources[index] ~= nil )
	if not sources[index]:isStopped() then sources[index]:stop() end
	assert( sources[index]:isStopped() )
	sources[index]:setVolume(1)
	sources[index]:play()
	return index
end

function audio_handler:stop( index )
	if self.file == "" then return end

	local sources = self.sources
    assert( index ~= nil )
	if sources[index] ~= nil and not sources[index]:isStopped() then
		sources[index]:setVolume(0.01)
		sources[index]:stop()
	end
end

